DCMTK: DCMTypes Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
List of all members
DCMTypes Struct Reference

General purpose class hiding constants from the global namespace. More...

## Static Public Attributes
print() flags.
These flags can be combined and passed to the print() methods.
static const size_t | PF_shortenLongTagValues
| shorten long tag values (e.g. long texts, pixel data)
static const size_t | PF_showTreeStructure
| show hierarchical tree structure of the dataset
static const size_t | PF_doNotMapUIDsToNames
| do not map well-known UID numbers to UID names (e.g. Transfer Syntax and SOP Class)
static const size_t | PF_convertToMarkup
| quote non-ASCII string content as XML markup
static const size_t | PF_convertToOctalNumbers
| quote non-ASCII string content as octal numbers
static const size_t | PF_useANSIEscapeCodes
| use ANSI escape codes for output
writeXML() flags.
These flags can be combined and passed to the writeXML() methods.
static const size_t | XF_addDocumentType
| add document type definition (DTD). DCMTK-specific format only.
static const size_t | XF_writeBinaryData
| write binary data to XML output file. DCMTK-specific format only.
static const size_t | XF_encodeBase64
| encode binary data as Base64 (MIME).
static const size_t | XF_useXMLNamespace
| use XML namespace URI. The value depends on the selected output format.
static const size_t | XF_embedDocumentType
| embed content of document type definition. DCMTK-specific format only.
static const size_t | XF_omitDataElementName
| don't write name of the DICOM data elements. DCMTK-specific format only.
static const size_t | XF_convertNonASCII
| convert non-ASCII characters to numeric values. DCMTK-specific format only.
static const size_t | XF_useNativeModel
| write data in "Native DICOM Model" format as defined for Application Hosting (DICOM part 19).
convertCharacterSet() flags.
These flags can be combined and passed to the convertCharacterSet() methods.
static const size_t | CF_transliterate
| try to approximate characters that cannot be represented through similar looking characters.
static const size_t | CF_discardIllegal
| discard characters that cannot be represented in destination character set.

## Detailed Description

General purpose class hiding constants from the global namespace.

## Member Data Documentation

## ◆ CF_discardIllegal

const size_t DCMTypes::CF_discardIllegal
| static

discard characters that cannot be represented in destination character set.

See DcmSpecificCharacterSet::getDiscardIllegalSequenceMode().

## ◆ CF_transliterate

const size_t DCMTypes::CF_transliterate
| static

try to approximate characters that cannot be represented through similar looking characters.

See DcmSpecificCharacterSet::getTransliterationMode().

## ◆ XF_encodeBase64

const size_t DCMTypes::XF_encodeBase64
| static

encode binary data as Base64 (MIME).

- For the DCMTK-specific format, the default is to use hex numbers.
- For the Native DICOM Model, the default is to use a UUID reference.

## ◆ XF_useNativeModel

const size_t DCMTypes::XF_useNativeModel
| static

write data in "Native DICOM Model" format as defined for Application Hosting (DICOM part 19).

The default is to use the DCMTK-specific format.

The documentation for this struct was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dctypes.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2